require "sinatra/base"


class TestApp < Sinatra::Base
  set :root, File.dirname(__FILE__)

  get "/form" do
    erb(:form)
  end

  post "/form" do
    "<pre id='result'>#{params.values.join(", ")}</pre>"
  end

  get "/clicked" do
    "<pre id='result'>click success</pre"
  end
end

if __FILE__ == $0
  Rack::Handler::WEBrick.run TestApp, :Port => 8070
end
