# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'conformity/version'

Gem::Specification.new do |spec|
  spec.name          = "conformity"
  spec.version       = Conformity::VERSION
  spec.authors       = ["Nikias Kalpaxis"]
  spec.email         = ["kalpaxisn@gmail.com"]
  spec.summary       = %q{Automates form submissions by building upon Capybara.}
  spec.description   = %q{}
  spec.homepage      = "https://github.com/nhjk/conformity"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "capybara", "~> 2.3"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
