lib = File.expand_path('../lib', __FILE__)
spec = File.expand_path('../spec', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
$LOAD_PATH.unshift(spec) unless $LOAD_PATH.include?(spec)

require 'conformity'
require 'test_app'
require 'nokogiri'


Capybara.run_server = true
Capybara.app = TestApp

def page(session = Capybara.current_session)
  Nokogiri::HTML(session.html).xpath("//pre[@id='result']").first.inner_html.strip
end
